/*
* Copyright (c) 2015 Razeware LLC
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*/

import UIKit

class ViewController: UIViewController {

  @IBOutlet weak var canvasView: CanvasView!

  override func viewDidLoad() {
    super.viewDidLoad()
    canvasView.clearCanvas(animated:false)
  }
  
  // Shake to clear screen
  override func motionEnded(motion: UIEventSubtype, withEvent event: UIEvent?) {
    canvasView.clearCanvas(animated: true)
  }
  
  @IBAction func btnCoalesced(button:UIButton) {
    canvasView.isCoalesced = !canvasView.isCoalesced
    if (canvasView.isCoalesced) {
      button.setTitle("Coalesced ON", forState: .Normal)
    } else {
      button.setTitle("Coalesced OFF", forState: .Normal)
    }
  }

  @IBAction func btnPredicted(button:UIButton) {
    canvasView.isPredicted = !canvasView.isPredicted
    if (canvasView.isPredicted) {
      button.setTitle("Predicted ON", forState: .Normal)
    } else {
      button.setTitle("Predicted OFF", forState: .Normal)
    }
  }
  
  @IBAction func btnShowPredicted(button:UIButton) {
    canvasView.isShowPredicted = !canvasView.isShowPredicted
    if (canvasView.isShowPredicted) {
      button.setTitle("Show Predicted ON", forState: .Normal)
    } else {
      button.setTitle("Show Predicted OFF", forState: .Normal)
    }

  }
  
  
}



